using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Collections;

public partial class DropDownColumn : System.Web.UI.Page
{    
    ArrayList itemsList = new ArrayList();   
    protected void Page_Load(object sender, EventArgs e)
    {
        itemsList.Add("One");
        itemsList.Add("Two");
        itemsList.Add("Three");
    }

    protected void RadGrid1_ItemDataBound(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridEditableItem && e.Item.IsInEditMode)
        {
            GridEditableItem editedItem = e.Item as GridEditableItem;            
            GridEditManager editMan = editedItem.EditManager;
            GridDropDownListColumnEditor editor = (GridDropDownListColumnEditor)(editMan.GetColumnEditor("DropDownColumn1"));
            RadComboBox ddList = editor.ComboBoxControl;
            ddList.DataSource = itemsList;
            ddList.DataBind();            
        }
    }
}